ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

CmmProcPoint

# Documentation

type ProcPointSet = LabelSet #

data Status #

Constructors

ReachedBy ProcPointSet |
ProcPoint |

Instances

Outputable Status # |
Methods ppr :: Status -> SDoc # pprPrec :: Rational -> Status -> SDoc #

callProcPoints :: CmmGraph -> ProcPointSet #

minimalProcPointSet :: Platform -> ProcPointSet -> CmmGraph -> UniqSM ProcPointSet #

splitAtProcPoints :: DynFlags -> CLabel -> ProcPointSet -> ProcPointSet -> LabelMap Status -> CmmDecl -> UniqSM [CmmDecl] #

procPointAnalysis :: ProcPointSet -> CmmGraph -> LabelMap Status #

attachContInfoTables :: ProcPointSet -> CmmDecl -> CmmDecl #